%define name xmms-cdread
%define version 0.9a
%define release 2mdk

Name:          %{name}
Summary:       Input plugin that reads audio data from CDs
Version:       %{version}
Release:       %{release}
Group:         Sound
Copyright:       GPL
BuildRequires: xmms-devel
Requires:      xmms
Source:        %{name}-%{version}.tar.bz2
Patch:	       %{name}.patch.bz2	
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
This is an alternative to the xmms audio CD plugin with advanced features.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch -p1

%build

%configure

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=$RPM_BUILD_ROOT%{_libdir}/xmms/Input

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL TODO ChangeLog NEWS README
%{_libdir}/xmms/Input/libcdread.*

%changelog
* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9a-2mdk
- build for release

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9a-1mdk
- updated to 0.9a
- patch cdread.c to avoid function conflict

* Tue Oct  3 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.8a-1mdk
- initial Mandrake build

